| IDA SDK

Functions
Functions: update actions

## Detailed Description

Convenience functions for ui_update_action_attr.

## Functions
bool | update_action_label (const char *name, const char *label)
| Update an action's label (ui_update_action_attr). More...
bool | update_action_shortcut (const char *name, const char *shortcut)
| Update an action's shortcut (ui_update_action_attr). More...
bool | update_action_tooltip (const char *name, const char *tooltip)
| Update an action's tooltip (ui_update_action_attr). More...
bool | update_action_icon (const char *name, int icon)
| Update an action's icon (ui_update_action_attr). More...
bool | update_action_state (const char *name, action_state_t state)
| Update an action's state (ui_update_action_attr). More...
bool | update_action_checkable (const char *name, bool checkable)
| Update an action's checkability (ui_update_action_attr). More...
bool | update_action_checked (const char *name, bool checked)
| Update an action's checked state (ui_update_action_attr). More...
bool | update_action_visibility (const char *name, bool visible)
| Update an action's visibility (ui_update_action_attr). More...

## Function Documentation

## ◆ update_action_label()

bool update_action_label | ( | const char * | name,
|  | const char * | label
| ) |  |
| inline

Update an action's label (ui_update_action_attr).

Parameters

  name | action name
  label | new label

Returns
  success

## ◆ update_action_shortcut()

bool update_action_shortcut | ( | const char * | name,
|  | const char * | shortcut
| ) |  |
| inline

Update an action's shortcut (ui_update_action_attr).

Parameters

  name | action name
  shortcut | new shortcut

Returns
  success

## ◆ update_action_tooltip()

bool update_action_tooltip | ( | const char * | name,
|  | const char * | tooltip
| ) |  |
| inline

Update an action's tooltip (ui_update_action_attr).

Parameters

  name | action name
  tooltip | new tooltip

Returns
  success

## ◆ update_action_icon()

bool update_action_icon | ( | const char * | name,
|  | int | icon
| ) |  |
| inline

Update an action's icon (ui_update_action_attr).

Parameters

  name | action name
  icon | new icon id

Returns
  success

## ◆ update_action_state()

bool update_action_state | ( | const char * | name,
|  | action_state_t | state
| ) |  |
| inline

Update an action's state (ui_update_action_attr).

Parameters

  name | action name
  state | new state

Returns
  success

## ◆ update_action_checkable()

bool update_action_checkable | ( | const char * | name,
|  | bool | checkable
| ) |  |
| inline

Update an action's checkability (ui_update_action_attr).

Parameters

  name | action name
  checkable | new checkability

Returns
  success

## ◆ update_action_checked()

bool update_action_checked | ( | const char * | name,
|  | bool | checked
| ) |  |
| inline

Update an action's checked state (ui_update_action_attr).

Parameters

  name | action name
  checked | new checked state

Returns
  success

## ◆ update_action_visibility()

bool update_action_visibility | ( | const char * | name,
|  | bool | visible
| ) |  |
| inline

Update an action's visibility (ui_update_action_attr).

Parameters

  name | action name
  visible | new visibility

Returns
  success